Panda3D

Functions
displayRegion.cxx File Reference

PANDA 3D SOFTWARE Copyright (c) Carnegie Mellon University. More...

`#include "displayRegion.h"`
`#include "stereoDisplayRegion.h"`
`#include "graphicsEngine.h"`
`#include "graphicsOutput.h"`
`#include "config_display.h"`
`#include "texture.h"`
`#include "camera.h"`
`#include "dcast.h"`
`#include "pnmImage.h"`
`#include <time.h>`

Go to the source code of this file.

## Functions
| PT (PandaNode) DisplayRegion
| Returns a special scene graph constructed to represent the results of the last frame's cull operation. More...
| PT (Texture) DisplayRegion
| Captures the most-recently rendered image from the framebuffer and returns it as a Texture, or NULL on failure. More...

## Detailed Description

PANDA 3D SOFTWARE Copyright (c) Carnegie Mellon University.

All rights reserved.

All use of this software is subject to the terms of the revised BSD license. You should have received a copy of this license along with this source code in a file named "LICENSE."

Author
  cary

Date
  1999-02-10

Definition in file displayRegion.cxx.

## Function Documentation

## ◆ PT() [1/2]

PT | ( | PandaNode |  | ) |

Returns a special scene graph constructed to represent the results of the last frame's cull operation.

This will be a hierarchy of nodes, one node for each bin, each of which will in term be a parent of a number of GeomNodes, representing the geometry drawn in each bin.

This is useful mainly for high-level debugging and abstraction tools; it should not be mistaken for the low-level cull result itself, which is constructed and maintained internally. No such scene graph is normally constructed during the rendering of a frame; this is an artificial construct created for the purpose of making it easy to analyze the results of the cull operation.

Definition at line 532 of file displayRegion.cxx.

References DisplayRegion::get_cull_result(), and Thread::get_current_thread.

## ◆ PT() [2/2]

PT | ( | Texture |  | ) |

Captures the most-recently rendered image from the framebuffer and returns it as a Texture, or NULL on failure.

This method is called after each texture has been loaded from disk, via the TexturePool, for the first time.

Invokes post_load() on all registered filters.

Invokes pre_load() on all registered filters until one returns non-NULL; returns NULL if there are no registered filters or if all registered filters returned NULL.

The internal implementation of operator =().

A factory function to make a new Texture, used to pass to the TexturePool.

Returns a dummy shadow map that can be used for a light of the given type that does not cast shadows.

Returns a shadow map for the given light source.

If none exists, it is created, using the given host window to create the buffer, or the current window if that is set to NULL.

Creates a depth buffer for shadow mapping. A derived GSG can override this if it knows that a particular buffer type works best for shadow rendering.

Assumes the lock is already held on both Textures.

By the time this method is called, the Texture has already been fully read from disk. This method should return the Texture pointer that the TexturePool should actually return (usually it is the same as the pointer supplied).

Definition at line 476 of file displayRegion.cxx.

References Thread::get_current_thread, and DisplayRegion::get_window.

Referenced by DisplayRegion::get_screenshot().